/******************************************************************************
*	USB PATLITE Tower Control Header
*	Copyright (c) 2014, PATLITE Co.
*	
******************************************************************************/

#include <Windows.h>

#ifndef _USB_PATLITE_SIGNALTOWER_H
#define _USB_PATLITE_SIGNALTOWER_H

#ifndef UPT_API
#define UPT_API __declspec(dllimport)
#endif

#ifdef __cplusplus
extern "C" {
#endif

/* Connection */
UPT_API int UPT_Open();
UPT_API void UPT_Close();

/* LED Conrtol */
UPT_API int UPT_SetLight(BYTE color, BYTE led_state);
UPT_API int UPT_SetTower(BYTE red, BYTE yel, BYTE grn, BYTE blu, BYTE clr);

/* Buzzer Control */
UPT_API int UPT_SetBuz(BYTE buz_state, BYTE limit);
UPT_API int UPT_SetBuzEx(BYTE buz_state, BYTE limit, BYTE pitch1, BYTE pitch2);

UPT_API int UPT_Reset(void);

UPT_API WORD UPT_GetFirmVer(void);
UPT_API WORD UPT_GetDllVer(void);

#ifdef __cplusplus
}
#endif

#endif	/* #ifndef _USB_PATLITE_SIGNALTOWER_H */

/* End */
